#include <stdio.h>

int main(){
	int a,c1,c2,c3,c4;

	scanf("%d", &a);

	if(a<1000 || a>9999){
		printf("-1\n");
		return 1;
	}
/* Trazi cifre broja */
	c1= a%10;
	c2=(a/10)%10;
	c3=(a/100)%10;
	c4=a/1000;
/* Ako je cifra neparna, oduzme joj jedan */
	if(c1%2==1)
		c1--;
	if(c2%2==1)
		c2--;
	if(c3%2==1)
		c3--;
	if(c4%2==1)
		c4--;
/* Broj racuna na principu- cifra pomnozena pozicijom */
	printf("%d\n", c1+c2*10+c3*100+c4*1000);
	return 0;
}
